## gate.swing
Class JTreeTable.TreeTableModelAdapter

    java.lang.Object
      |
      +--javax.swing.table.AbstractTableModel
            |
            +--gate.swing.JTreeTable.TreeTableModelAdapter

All Implemented Interfaces:
  Serializable, TableModel

Enclosing class:
  JTreeTable

class JTreeTable.TreeTableModelAdapter
extends AbstractTableModel

A wrapper that reads a TreeTableModel and behaves as a TableModel

See Also:
  Serialized Form

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`JTreeTable.TreeTableModelAdapter(TreeTableModel treeTableModel)`

Method Summary
`Class` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int row, int column)`
`protected Object` `nodeForRow(int row)`
`void` `setValueAt(Object value, int row, int column)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### JTreeTable.TreeTableModelAdapter

    public JTreeTable.TreeTableModelAdapter(TreeTableModel treeTableModel)

Method Detail

### getColumnCount

    public int getColumnCount()

  Overrides:
    `getColumnCount` in class `AbstractTableModel`

### getColumnName

    public String getColumnName(int column)

  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getColumnClass

    public Class getColumnClass(int column)

  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### getRowCount

    public int getRowCount()

  Overrides:
    `getRowCount` in class `AbstractTableModel`

### nodeForRow

    protected Object nodeForRow(int row)

### getValueAt

    public Object getValueAt(int row,
                             int column)

  Overrides:
    `getValueAt` in class `AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### setValueAt

    public void setValueAt(Object value,
                           int row,
                           int column)

  Overrides:
    `setValueAt` in class `AbstractTableModel`